[quagga-users 12183] Re: Quagga 0.99.18 Released (addressing CVE-2010-1674)

Tore Anderson tore.anderson at redpill-linpro.com
Tue Mar 22 12:36:03 GMT 2011


Hi Paul,

* paul at clubi.ie

> On Tue, 22 Mar 2011, Tore Anderson wrote:
> 
>> Do you know if any of the ospf6d crash fixes address
>> <https://bugzilla.quagga.net/show_bug.cgi?id=634>?
> 
> There are some ospf6d fixes, and it'd be good if you could test.

I'll just have to wait and see if it is more stable, I guess.

>> In any case, it fails to build on x86_64 Ubuntu 10.04:
> 
> Only if you've passed "--enable-opaque-lsa" to ./configure. Don't do
> that and it'll compile fine. Chances are quite good you have no need for
> opaque LSAs.

Same error without --enable-opaque-lsa (reason it was enabled in the
first place is that it's the Ubuntu default). Full build log here:

http://fud.no/quagga_0.99.18-0_amd64.build

Best regards,
-- 
Tore Anderson
Redpill Linpro AS - http://www.redpill-linpro.com
Tel: +47 21 54 41 27


More information about the Quagga-users mailing list